org.apache.lucene.spatial.prefix.tree

## Class PackedQuadPrefixTree.Factory

- java.lang.Object
- - org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory
  - - org.apache.lucene.spatial.prefix.tree.QuadPrefixTree.Factory
    - - org.apache.lucene.spatial.prefix.tree.PackedQuadPrefixTree.Factory

- Enclosing class:
    PackedQuadPrefixTree

      public static class PackedQuadPrefixTree.Factory
      extends QuadPrefixTree.Factory

  Factory for creating `PackedQuadPrefixTree` instances with useful defaults.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory

      `args, ctx, MAX_DIST_ERR, MAX_LEVELS, maxLevels, PREFIX_TREE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SpatialPrefixTree` | `newSPT()`

    - ### Methods inherited from class org.apache.lucene.spatial.prefix.tree.QuadPrefixTree.Factory

      `getLevelForDistance`

    - ### Methods inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory

      `init, initMaxLevels, makeSPT`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### newSPT

          protected SpatialPrefixTree newSPT()

      Overrides:
        `newSPT` in class `QuadPrefixTree.Factory`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.